package com.qianhe.mapper;

import com.qianhe.domain.JygxLxwh;
import com.qianhe.domain.JygxWzglfj;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 经验共享-类型维护Mapper接口
 *
 * @author qianhe
 * @date 2024-07-29
 */
public interface JygxLxwhMapper
{
    /**
     * 查询经验共享-类型维护
     *
     * @param lxid 经验共享-类型维护主键
     * @return 经验共享-类型维护
     */
    public JygxLxwh selectJygxLxwhByLxid(Long lxid);

    /**
     * 查询经验共享-类型维护列表
     *
     * @param jygxLxwh 经验共享-类型维护
     * @return 经验共享-类型维护集合
     */
    public List<JygxLxwh> selectJygxLxwhList(JygxLxwh jygxLxwh);

    /**
     * 新增经验共享-类型维护
     *
     * @param jygxLxwh 经验共享-类型维护
     * @return 结果
     */
    public int insertJygxLxwh(JygxLxwh jygxLxwh);

    /**
     * 修改经验共享-类型维护
     *
     * @param jygxLxwh 经验共享-类型维护
     * @return 结果
     */
    public int updateJygxLxwh(JygxLxwh jygxLxwh);

    /**
     * 删除经验共享-类型维护
     *
     * @param lxid 经验共享-类型维护主键
     * @return 结果
     */
    public int deleteJygxLxwhByLxid(Long lxid);

    /**
     * 批量删除经验共享-类型维护
     *
     * @param lxids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteJygxLxwhByLxids(Long[] lxids);



}
